<?php

require_once("captcha.inc");

header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past

// -------------------------
// Captcha image request
// -------------------------
if ( isset($_REQUEST['img']))
{
  // Get image contents
  header('Content-type: image/gif');
  $unp = Unpack_Answer($_REQUEST['img']);
  if ( !is_array($unp))
    $unp = Unpack_Answer(urldecode($_REQUEST['img']));
  if ( is_array($unp) && isset($unp['answer']))
  {
    echo Get_Captcha_Pic( $unp['answer'] );
    die;
  }
  else
  {
    echo Get_Captcha_Pic(-1);
    die;
  }
}

// -------------------------
// Check the answer
// -------------------------
// Answers "OK" if the answer was correct, empty or reason otherwise.
else if ( isset($_REQUEST['captcha-answ']) && isset($_REQUEST['captcha-packed']))
{
  $res = Check_Captcha_Answer();
  if ( $res === True )
    print "OK";
  else
    print $res;
  die;
}

// -----------------------------------------------
// Default (no parameters): print a new challenge
// -----------------------------------------------
else
{
  sleep(1);
  print Print_New_Captcha();
}

?>